Package weka.filters.unsupervised.attribute

# Enum Class InterquartileRange.ValueType

java.lang.Object
java.lang.Enum<InterquartileRange.ValueType>
weka.filters.unsupervised.attribute.InterquartileRange.ValueType

All Implemented Interfaces:
  `Serializable`, `Comparable<InterquartileRange.ValueType>`, `Constable`

Enclosing class:
  InterquartileRange

public static enum InterquartileRange.ValueType extends Enum<InterquartileRange.ValueType>
enum for obtaining the various determined IQR values.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IQR`
  `LOWER_EXTREME_VALUES`
  `LOWER_OUTLIER_VALUES`
  `MEDIAN`
  `UPPER_EXTREME_VALUES`
  `UPPER_OUTLIER_VALUES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InterquartileRange.ValueType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static InterquartileRange.ValueType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UPPER_EXTREME_VALUES

    public static final InterquartileRange.ValueType UPPER_EXTREME_VALUES

  - ### UPPER_OUTLIER_VALUES

    public static final InterquartileRange.ValueType UPPER_OUTLIER_VALUES

  - ### LOWER_OUTLIER_VALUES

    public static final InterquartileRange.ValueType LOWER_OUTLIER_VALUES

  - ### LOWER_EXTREME_VALUES

    public static final InterquartileRange.ValueType LOWER_EXTREME_VALUES

  - ### MEDIAN

    public static final InterquartileRange.ValueType MEDIAN

  - ### IQR

    public static final InterquartileRange.ValueType IQR

- ## Method Details

  - ### values

    public static InterquartileRange.ValueType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static InterquartileRange.ValueType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null